/* for all pages */

#maincontent h1 {
  font-weight  : bold;
  font-style   : italic;
  border-color : rgb(0,0,102);
  color        : rgb(0,0,102);
  margin       : 10px 0px 0px 0px;
}
#maincontent h2,h3,h4,h5,h6 {
  font-weight  : bold;
  font-style   : italic;
  border-color : rgb(0,0,102);
  color        : rgb(0,0,102);
  margin       : 30px 0px 20px 0px;
}

#maincontent hr {
  border-style     : solid;
  background-color : rgb(128,128,255);
  color            : rgb(128,128,255);
  height           : 1px;
  margin : 10px 0px 10px 0px;
}



#maincontent .text_center {
  text-align: center;
}

#maincontent .text_right {
  text-align: right;
}

#maincontent .text_top {
  vertical-align: top;
}

.keyword {
  font-weight: bold;
}

.ws_pre {
  white-space: pre;
}

ul.no_list_point {
  list-style-type: none;
  padding : 0px 0px 0px 15px;
}

dl dt {
  margin-top: 10px;
}

dl dd {
  margin-bottom: 15px;
}

.supplement {
  font-size: small;
}


/**
 ** TABLE : round-adge, base color = blue
 **/
#maincontent div.indent_1 p {
  margin : 10px 10px 10px 15px;
}

#maincontent div.indent_1 table {
  border-spacing: 0px;
  margin : 10px 0px 20px 15px;
}

#maincontent div.indent_2 p {
  margin : 10px 10px 10px 30px;
}

#maincontent div.indent_2 table {
  border-spacing: 0px;
  margin : 10px 0px 20px 30px;
}

#maincontent table {
  border-spacing: 0px;
  margin : 10px 0px 20px 0px;
}

#maincontent th {
  /*border-collapse: collapse;*/
  border-spacing: 0px;
  border-left:1px solid #258;
  border-top:1px solid #258;
  border-bottom:1px solid #258;
  box-shadow: 0px 1px 1px 1px rgba(255,255,255,0.3) inset;

  background: #258;
  background:-moz-linear-gradient(rgba(34,85,136,0.7), rgba(34,85,136,0.9) 50%);
  background:-webkit-gradient(linear, 100% 0%, 100% 50%, from(rgba(34,85,136,0.7)), to(rgba(34,85,136,0.9)));
  color: #ffffff;

  line-height: 120%;
  padding : 6px 10px 6px 10px;
  text-align: center;
}

#maincontent th a:link{
  /*color: #f0f8ff;*/
  /*color: #00fa9a;*/
  /*color: #7fffd4;*/
  color: #ffff00; /* yellow */
}
#maincontent th a:visited{
  /*color: #f0f8ff;*/
  /*color: #00fa9a;*/
  /*color: #7fffd4;*/
  color: #ffd700; /* gold */
}

#maincontent table th:first-child:not(.no_corner) {
  border-radius: 5px 0 0 0;
}

#maincontent table th:last-child:not(.no_corner) {
  border-radius:0 5px 0 0;
  border-right:1px solid #258;
  box-shadow: /*2px 2px 1px rgba(0,0,0,0.1),*/0px 1px 1px 1px rgba(255,255,255,0.3) inset;
}

/*#maincontent table tr td {*/
#maincontent table tr td:not(.no_bottom_border):not(.no_left_border) {
  border-bottom: 1px solid #84b2e0;
  border-left: 1px solid #84b2e0;
  padding : 5px 10px 5px 10px;
}

#maincontent td.no_bottom_border {
  border-left: 1px solid #84b2e0;
  padding : 5px 10px 5px 10px;
}

#maincontent td.no_left_border {
  border-bottom: 1px solid #84b2e0;
  padding : 5px 10px 5px 10px;
}

#maincontent table tr td:last-child {
  border-right: 1px solid #84b2e0;
  /*box-shadow: 2px 0px 1px rgba(0,0,0,0.1);*/
}

#maincontent table tr {
  background: #fff;
}

#maincontent tr:nth-child(2n+1) {
}

#maincontent tr:nth-child(2n) {
  background: #f1f6fc;
}

#maincontent table tr:last-child td:first-child:not(.no_corner) {
/*#maincontent table tbody:last-of-type tr td[rowspan]:first-child {*/
  border-radius: 0 0 0 5px;
}

#maincontent table td.bottom_left_corner {
  /*box-shadow: 2px 2px 1px rgba(0,0,0,0.1);*/
  border-radius: 0 0 0 5px;
}

#maincontent table tr:last-child td:last-child:not(.no_corner) {
  border-radius: 0 0 5px 0;
}

table tr:hover {
  background: #bbd4ee;
  /*cursor:pointer;*/
}

.db_caption {
  display: table-caption;
  margin-left: auto;
  margin-right: 0px;
  margin-top: 0px;
  margin-bottom: 0px;
  padding: 0px;
  text-align: right;
/*  border: 1px solid #000;*/
}
.db_caption ul{
  display: inline-block;
  margin: 0px;
  padding: 0px;
  text-align: left;
}


/**
 ** FLEX BOX : Align <div> element horizontally
 **/
.flex_box {
  display: -webkit-flex;
  display: flex;
  /*-webkit-justify-content: space-around;
  justify-content: space-around;*/
  -webkit-justify-content: flex-start;
  justify-content: flex-start;
}

.flex_box div:not(:first-of-type){
  margin-left: 120px;
}

.flex_box div:first-of-type{
  margin-left: 20px;
}


.thumbnail {
  width: 20px;
  height: 20px;
}
